use super::session::SessionToken;

#[derive(Clone)]
pub enum Context {
    None,
    Game(Game),
    AccountSettings(AccountSettings),
}

#[derive(Clone, Copy)]
pub struct Game {
    pub token:SessionToken,
}

#[derive(Clone, Copy)]
pub struct AccountSettings {
    pub auth_token:[u8; 8],
}
